samba 4.6.2 for Debian Jessie available. ( amd64 only )

classic Classic list List threaded Threaded
7 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

samba 4.6.2 for Debian Jessie available. ( amd64 only )

Samba - General mailing list
Hai,

 

I’ve updated the samba packages to 4.6.2 ( amd64 only)

 

Found here.

https://downloads.van-belle.nl/samba4/samba-4.6.2/ 

Older samba version are of the site.

 

Since this is a fix on the security release i signed the packages

Info : https://downloads.van-belle.nl/samba4/

 

For the impatiant..

wget https://downloads.van-belle.nl/samba4/samba-4.6.2/samba-462-installer.sh

chmod +x samba-462-installer.sh

 

Read the info in the script and change : I_DID_READ_THIS="no"  to I_DID_READ_THIS="yes"

 

./samba-462-installer.sh

 

Build sources and logs are in the src folder.

 

The Repo will be updates as soon as the needed packages are in debian testing.

 

 

Have a good weekend everybody.

 

 

Greetz,

 

Louis

 

--
To unsubscribe from this list go to the following URL and read the
instructions:  https://lists.samba.org/mailman/options/samba
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: samba 4.6.2 for Debian Jessie available. ( amd64 only )

Samba - General mailing list

Am 31.03.2017 um 17:13 schrieb L.P.H. van Belle via samba:

> Hai,
>
>  
>
> I’ve updated the samba packages to 4.6.2 ( amd64 only)
>
>  
>
> Found here.
>
> https://downloads.van-belle.nl/samba4/samba-4.6.2/
>
> Older samba version are of the site.
>
>  
>
> Since this is a fix on the security release i signed the packages
>
> Info : https://downloads.van-belle.nl/samba4/
>
>  
>
> For the impatiant..
>
> wget https://downloads.van-belle.nl/samba4/samba-4.6.2/samba-462-installer.sh
>
> chmod +x samba-462-installer.sh
>
>  
>
> Read the info in the script and change : I_DID_READ_THIS="no"  to I_DID_READ_THIS="yes"
>
>  
>
> ./samba-462-installer.sh
>
>  
>
> Build sources and logs are in the src folder.
>
>  
>
> The Repo will be updates as soon as the needed packages are in debian testing.
>
>  
>
>  
>
> Have a good weekend everybody.
>
>  
>
>  
>
> Greetz,
>
>  
>
> Louis
>
>  
>
Hello Louis,

Tried to build your packages but it seems the download is forbidden on
your server atm!

Cheers,
Achim~


--
To unsubscribe from this list go to the following URL and read the
instructions:  https://lists.samba.org/mailman/options/samba
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: samba 4.6.2 for Debian Jessie available. ( amd64 only )

Samba - General mailing list
Hai Achim,

That is correct.
I disabled the 4.6.2 downloads because of this bug.
https://bugzilla.samba.org/show_bug.cgi?id=12685 

If you want to upgrade samba to 4.6.2, then it works fine since the keytab is already created, but with a new install the bug appears.
I have opened the link again, but be carefull.


Greetz,

Louis


> -----Oorspronkelijk bericht-----
> Van: samba [mailto:[hidden email]] Namens Achim Gottinger
> via samba
> Verzonden: maandag 10 april 2017 12:22
> Aan: [hidden email]
> Onderwerp: Re: [Samba] samba 4.6.2 for Debian Jessie available. ( amd64
> only )
>
>
> Am 31.03.2017 um 17:13 schrieb L.P.H. van Belle via samba:
> > Hai,
> >
> >
> >
> > I’ve updated the samba packages to 4.6.2 ( amd64 only)
> >
> >
> >
> > Found here.
> >
> > https://downloads.van-belle.nl/samba4/samba-4.6.2/
> >
> > Older samba version are of the site.
> >
> >
> >
> > Since this is a fix on the security release i signed the packages
> >
> > Info : https://downloads.van-belle.nl/samba4/
> >
> >
> >
> > For the impatiant..
> >
> > wget https://downloads.van-belle.nl/samba4/samba-4.6.2/samba-462-
> installer.sh
> >
> > chmod +x samba-462-installer.sh
> >
> >
> >
> > Read the info in the script and change : I_DID_READ_THIS="no"  to
> I_DID_READ_THIS="yes"
> >
> >
> >
> > ./samba-462-installer.sh
> >
> >
> >
> > Build sources and logs are in the src folder.
> >
> >
> >
> > The Repo will be updates as soon as the needed packages are in debian
> testing.
> >
> >
> >
> >
> >
> > Have a good weekend everybody.
> >
> >
> >
> >
> >
> > Greetz,
> >
> >
> >
> > Louis
> >
> >
> >
> Hello Louis,
>
> Tried to build your packages but it seems the download is forbidden on
> your server atm!
>
> Cheers,
> Achim~
>
>
> --
> To unsubscribe from this list go to the following URL and read the
> instructions:  https://lists.samba.org/mailman/options/samba



--
To unsubscribe from this list go to the following URL and read the
instructions:  https://lists.samba.org/mailman/options/samba
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: samba 4.6.2 for Debian Jessie available. ( amd64 only )

Samba - General mailing list

Am 10.04.2017 um 13:02 schrieb L.P.H. van Belle via samba:

> Hai Achim,
>
> That is correct.
> I disabled the 4.6.2 downloads because of this bug.
> https://bugzilla.samba.org/show_bug.cgi?id=12685
>
> If you want to upgrade samba to 4.6.2, then it works fine since the keytab is already created, but with a new install the bug appears.
> I have opened the link again, but be carefull.
>
>
> Greetz,
>
> Louis
>
>
>> -----Oorspronkelijk bericht-----
>> Van: samba [mailto:[hidden email]] Namens Achim Gottinger
>> via samba
>> Verzonden: maandag 10 april 2017 12:22
>> Aan: [hidden email]
>> Onderwerp: Re: [Samba] samba 4.6.2 for Debian Jessie available. ( amd64
>> only )
>>
>>
>> Am 31.03.2017 um 17:13 schrieb L.P.H. van Belle via samba:
>>> Hai,
>>>
>>>
>>>
>>> I’ve updated the samba packages to 4.6.2 ( amd64 only)
>>>
>>>
>>>
>>> Found here.
>>>
>>> https://downloads.van-belle.nl/samba4/samba-4.6.2/
>>>
>>> Older samba version are of the site.
>>>
>>>
>>>
>>> Since this is a fix on the security release i signed the packages
>>>
>>> Info : https://downloads.van-belle.nl/samba4/
>>>
>>>
>>>
>>> For the impatiant..
>>>
>>> wget https://downloads.van-belle.nl/samba4/samba-4.6.2/samba-462-
>> installer.sh
>>> chmod +x samba-462-installer.sh
>>>
>>>
>>>
>>> Read the info in the script and change : I_DID_READ_THIS="no"  to
>> I_DID_READ_THIS="yes"
>>>
>>>
>>> ./samba-462-installer.sh
>>>
>>>
>>>
>>> Build sources and logs are in the src folder.
>>>
>>>
>>>
>>> The Repo will be updates as soon as the needed packages are in debian
>> testing.
>>>
>>>
>>>
>>>
>>> Have a good weekend everybody.
>>>
>>>
>>>
>>>
>>>
>>> Greetz,
>>>
>>>
>>>
>>> Louis
>>>
>>>
>>>
>> Hello Louis,
>>
>> Tried to build your packages but it seems the download is forbidden on
>> your server atm!
>>
>> Cheers,
>> Achim~
>>
>>
>> --
>> To unsubscribe from this list go to the following URL and read the
>> instructions:  https://lists.samba.org/mailman/options/samba
>
>
Hello Louis,

Was able to download now. Thank you for the hint, will integrate the
patch. I plan to backport it th wheezy all my wheezy servers still run
sernet 4.1 and it's getting messy with printer drivers.
Thank you for all the effort you put into these packages!

Achim~




--
To unsubscribe from this list go to the following URL and read the
instructions:  https://lists.samba.org/mailman/options/samba
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: samba 4.6.2 for Debian Jessie available. ( amd64 only )

Samba - General mailing list


Am 10.04.2017 um 13:37 schrieb Achim Gottinger via samba:

>
> Am 10.04.2017 um 13:02 schrieb L.P.H. van Belle via samba:
>> Hai Achim,
>>
>> That is correct.
>> I disabled the 4.6.2 downloads because of this bug.
>> https://bugzilla.samba.org/show_bug.cgi?id=12685
>>
>> If you want to upgrade samba to 4.6.2, then it works fine since the
>> keytab is already created, but with a new install the bug appears.
>> I have opened the link again, but be carefull.
>>
>>
>> Greetz,
>>
>> Louis
>>
>>
>>> -----Oorspronkelijk bericht-----
>>> Van: samba [mailto:[hidden email]] Namens Achim
>>> Gottinger
>>> via samba
>>> Verzonden: maandag 10 april 2017 12:22
>>> Aan: [hidden email]
>>> Onderwerp: Re: [Samba] samba 4.6.2 for Debian Jessie available. ( amd64
>>> only )
>>>
>>>
>>> Am 31.03.2017 um 17:13 schrieb L.P.H. van Belle via samba:
>>>> Hai,
>>>>
>>>>
>>>>
>>>> I’ve updated the samba packages to 4.6.2 ( amd64 only)
>>>>
>>>>
>>>>
>>>> Found here.
>>>>
>>>> https://downloads.van-belle.nl/samba4/samba-4.6.2/
>>>>
>>>> Older samba version are of the site.
>>>>
>>>>
>>>>
>>>> Since this is a fix on the security release i signed the packages
>>>>
>>>> Info : https://downloads.van-belle.nl/samba4/
>>>>
>>>>
>>>>
>>>> For the impatiant..
>>>>
>>>> wget https://downloads.van-belle.nl/samba4/samba-4.6.2/samba-462-
>>> installer.sh
>>>> chmod +x samba-462-installer.sh
>>>>
>>>>
>>>>
>>>> Read the info in the script and change : I_DID_READ_THIS="no"  to
>>> I_DID_READ_THIS="yes"
>>>>
>>>>
>>>> ./samba-462-installer.sh
>>>>
>>>>
>>>>
>>>> Build sources and logs are in the src folder.
>>>>
>>>>
>>>>
>>>> The Repo will be updates as soon as the needed packages are in debian
>>> testing.
>>>>
>>>>
>>>>
>>>>
>>>> Have a good weekend everybody.
>>>>
>>>>
>>>>
>>>>
>>>>
>>>> Greetz,
>>>>
>>>>
>>>>
>>>> Louis
>>>>
>>>>
>>>>
>>> Hello Louis,
>>>
>>> Tried to build your packages but it seems the download is forbidden on
>>> your server atm!
>>>
>>> Cheers,
>>> Achim~
>>>
>>>
>>> --
>>> To unsubscribe from this list go to the following URL and read the
>>> instructions:  https://lists.samba.org/mailman/options/samba
>>
>>
> Hello Louis,
>
> Was able to download now. Thank you for the hint, will integrate the
> patch. I plan to backport it th wheezy all my wheezy servers still run
> sernet 4.1 and it's getting messy with printer drivers.
> Thank you for all the effort you put into these packages!
>
> Achim~
Thinks worked out pretty smooth. Had to make the following adjustments
to backport the packages.

- Disable fPIE hardening because gcc or ld on wheezy did not support that.
- Remove python3 support from samba and a few helper packages
- Disable systemd support in the samba package
- Read add dbg packages to debian/control and make an small modification
to dh_strip in debian/rules so it works with debhelper Version 9.
- Add the keytab patch and an patch for aio memory leaks

Updates all my wheezy samba ad-cd's from sernet version 4.2 to
backported 4.6.2.

- Removed the sernet packages with aptitude remove so all config files
remain.
- Installed samba samba-drdb-modules samba-vs-modules packages
- Purged setting for  sernet-samba-winbind because it preventen winbind
from beeing installed.
- Installen winbind libnss-winbind linpam-winbind.
- Ran samba-tool dbcheck --cross-ncs --fix on all servers. Restarted
samba-ad-dc and checked replication.

So far it's all working well.

Thank you again for providing the jessie packages Louis.

Achim~




--
To unsubscribe from this list go to the following URL and read the
instructions:  https://lists.samba.org/mailman/options/samba
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: samba 4.6.2 for Debian Jessie available. ( amd64 only )

Samba - General mailing list
16.04.2017 5:34, Achim Gottinger via samba пишет:

> Thinks worked out pretty smooth. Had to make the following adjustments
> to backport the packages.
>
> - Disable fPIE hardening because gcc or ld on wheezy did not support that.
> - Remove python3 support from samba and a few helper packages
> - Disable systemd support in the samba package
> - Read add dbg packages to debian/control and make an small modification
> to dh_strip in debian/rules so it works with debhelper Version 9.
> - Add the keytab patch and an patch for aio memory leaks
>
> Updates all my wheezy samba ad-cd's from sernet version 4.2 to
> backported 4.6.2.
>
> - Removed the sernet packages with aptitude remove so all config files
> remain.
> - Installed samba samba-drdb-modules samba-vs-modules packages
> - Purged setting for  sernet-samba-winbind because it preventen winbind
> from beeing installed.
> - Installen winbind libnss-winbind linpam-winbind.
> - Ran samba-tool dbcheck --cross-ncs --fix on all servers. Restarted
> samba-ad-dc and checked replication.

good checklist, Thanks!


> So far it's all working well.
>
> Thank you again for providing the jessie packages Louis.

Can you upload your backported packages anywhere? My servers also on wheezy.


--
Mike Lykov, system administrator

--
To unsubscribe from this list go to the following URL and read the
instructions:  https://lists.samba.org/mailman/options/samba
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: samba 4.6.2 for Debian Jessie available. ( amd64 only )

Samba - General mailing list
Hai,

 

If Achim is willing to share the changes, im ok with putting these on my server.

Wheezy is still supported to 2018, so that should make some people happy.





Greetz,

 

Louis

 

 

 

 

 

 

> -----Oorspronkelijk bericht-----

> Van: samba [mailto:[hidden email]] Namens Mike Lykov via

> samba

> Verzonden: maandag 17 april 2017 6:43

> Aan: [hidden email]

> Onderwerp: Re: [Samba] samba 4.6.2 for Debian Jessie available. ( amd64

> only )

>

> 16.04.2017 5:34, Achim Gottinger via samba ??????????:

>

> > Thinks worked out pretty smooth. Had to make the following adjustments

> > to backport the packages.

> >

> > - Disable fPIE hardening because gcc or ld on wheezy did not support

> that.

> > - Remove python3 support from samba and a few helper packages

> > - Disable systemd support in the samba package

> > - Read add dbg packages to debian/control and make an small modification

> > to dh_strip in debian/rules so it works with debhelper Version 9.

> > - Add the keytab patch and an patch for aio memory leaks

> >

> > Updates all my wheezy samba ad-cd's from sernet version 4.2 to

> > backported 4.6.2.

> >

> > - Removed the sernet packages with aptitude remove so all config files

> > remain.

> > - Installed samba samba-drdb-modules samba-vs-modules packages

> > - Purged setting for  sernet-samba-winbind because it preventen winbind

> > from beeing installed.

> > - Installen winbind libnss-winbind libpam-winbind.

> > - Ran samba-tool dbcheck --cross-ncs --fix on all servers. Restarted

> > samba-ad-dc and checked replication.

>

> good checklist, Thanks!

>

>

> > So far it's all working well.

> >

> > Thank you again for providing the jessie packages Louis.

>

> Can you upload your backported packages anywhere? My servers also on

> wheezy.

>

>

> --

> Mike Lykov, system administrator

>

> --

> To unsubscribe from this list go to the following URL and read the

> instructions:  https://lists.samba.org/mailman/options/samba

 

--
To unsubscribe from this list go to the following URL and read the
instructions:  https://lists.samba.org/mailman/options/samba
Loading...